> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog 2025 11 11T22:04:22Z

#### What's Changed

***

##### `GET` /api/token\_claims

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    New required properties:

    * `stakingContractAddress`

    - Added property `claimAndStake` (boolean)

    - Added property `stakingContractType` (string)

      Enum values:

      * `linear`
      * `timelock`

    - Added property `stakingContractAddress` (string)

    - Added property `maxBonus` (number)

    - Added property `minLockup` (number)

    - Added property `minLockupForMultiplier` (number)

    - Added property `multiplier` (number)

    - Added property `isStakingOptional` (boolean)

    - Changed property `csvUrl` (string)

##### `GET` /api/token\_claims/{id}/eligibility

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  New required properties:

  * `stakes`

  - Added property `stakes` (array)

    Items (object):

    * Property `stakeId` (string)

    * Property `amount` (string)

    * Property `duration` (number)

    * Property `startTime` (string)

    * Property `claimed` (string)

    * Property `claimable` (string)
